=== modified file 'exec-line-exec-trace.tp'
--- exec-line-exec-trace.tp	2013-12-04 11:58:40 +0000
+++ exec-line-exec-trace.tp	2013-12-04 12:10:32 +0000
@@ -1,2 +1,4 @@
 
 TRACEPOINT_EVENT(upstart_app_launch, exec_start, TP_ARGS(0), TP_FIELDS())
+TRACEPOINT_EVENT(upstart_app_launch, exec_parse_complete, TP_ARGS(0), TP_FIELDS())
+TRACEPOINT_EVENT(upstart_app_launch, exec_pre_exec, TP_ARGS(0), TP_FIELDS())

=== modified file 'exec-line-exec.c'
--- exec-line-exec.c	2013-12-04 11:58:40 +0000
+++ exec-line-exec.c	2013-12-04 12:10:32 +0000
@@ -68,6 +68,8 @@
 		return 1;
 	}
 
+	tracepoint(upstart_app_launch, exec_parse_complete);
+
 	/* Surface flinger check */
 	if (g_getenv("USING_SURFACE_FLINGER") != NULL && app_desktop != NULL) {
 		gchar * sf = g_strdup_printf("--desktop_file_hint=%s", app_desktop);
@@ -77,6 +79,8 @@
 	/* Now exec */
 	gchar ** nargv = (gchar**)g_array_free(newargv, FALSE);
 
+	tracepoint(upstart_app_launch, exec_pre_exec);
+
 	int execret = execvp(nargv[0], nargv);
 
 	if (execret != 0) {

